BP_CLASSIFY_HITS_KINGDOM(1)

NAME
bp_classify_hits_kingdom - classify BLAST hits by taxonomic kingdom

  USAGE
bp_classify_hits_kingdom [-i tab_file] [-i second_BLAST_file] [-e evalue_cutoff]
                      [-t dir_where_TAXONOMY_files_are] [-g gi2taxid]
                      [-z PATH_TO_zcat] [-v]

  DESCRIPTION
Will print out the taxonomic distribution (at the kingdom level) for a set of hits against the NR database. By default, this script assumes you did a search against the protein database (gi_taxid_nuc.dump file).

This expects BLAST files in tabbed -m9 or -m8 format. Output with -m 8 or use blast2table.pl to convert (or fastam9_to_table.PLS if using FASTA).

  Input values:
    -t/--taxonomy Directory where the taxonomy .dmp files are (from NCBI)
    -g/--gi       File path of the gi2taxid file (gi_taxid_prot.dmp for proteins
                  or gi_taxid_nucl.dmp if the search was against a nucleid database)
    -i/--in       The name of the tab delimited -m8/-m9 output files to process
    -e/--evalue   Provide an E-value cutoff for hits to be considered
    -z/--zcat     Path to the 'zcat' executable, can also be 'gunzip -c'
                  if no zcat on your system.
  Flags:
    -v/--verbose  To turn on verbose messages
    -h/--help     Display this helpful information

This is intended to be useful starting script, but users may want to customize the output and parameters. Note that I am summarizing the kingdoms here and Eukaryota not falling into Metazoa, Viridiplantae, or Fungi gets grouped into the general superkingdom Eukaryota for simplicity. There are comments in the code directing you to where changes can be made if you wanted to display hits by phylum for example. Note that you must wipe out the cache file 'gi2class' that is created in your directory after making these changes.

  AUTHOR
Jason Stajich jason_at_bioperl_dot_org